Subject: bug#72597: 30.0.60; Eglot: MarkedString with embedded Carriage Return

From: Daniel Pettersson <[email-masked]>
Date: Thu, 05 Sep 2024 23:32:08 +0200

João Távora <[email-masked]> writes:

> On Mon, Sep 2, 2024 at 12:24 PM Eli Zaretskii <[email-masked]> wrote:
>> Thanks, but isn't the above the same as setting the car of
>> process-coding-system for the Eglot subprocesses to 'dos'?

I would think that a better place for encoding the displayed string at
the place where we are displaying the string rather then before parsing
the json.

> Anyway, if the solution is to be performed at this lower
> level (which I think it should), then Daniel Petterson
> jsonrpc.el maintainer should be added.

I might be missing something, but jsonrpc should not in my mind
convert/format/encode any json data.  Any assumptions on line endings
can only be made on header and content separators, not on the json
payload itself.

/Daniel Pettersson